Bug 838280 - no more package java-1.6.0-openjdk
no more package java-1.6.0-openjdk
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-07-08 04:22 EDT by mx
Modified: 2013-01-16 14:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-16 14:38:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mx 2012-07-08 04:22:07 EDT
Description of problem:
in Fedora 17 no package java-1.6.0-openjdk.
cat fedora-livecd-desktop.ks | grep java

[mx@mx spin-kickstarts]$ uname -r
[mx@mx spin-kickstarts]$ rpm -qa | grep java-1

How reproducible:
Steps to Reproduce:
1. su 'livecd-creator /usr/share/spin-kickstarts/fedora-livecd-desktop.ks'
2. output messages : "No such package java-1.6.0-openjdk to remove"
Actual results:
No messages !

Expected results:
Remove its LINE from file : /usr/share/spin-kickstarts/fedora-livecd-desktop.ks
add LINE: "-java-1.7.0-openjdk" in file : /usr/share/spin-kickstarts/fedora-livecd-desktop.ks
Comment 1 Bruno Wolff III 2012-07-10 06:14:03 EDT
Since this is cosmetic, I am not planning to go back and change this for F17. However I have committed the changes to the master (which F18 will use) branch of spin-kickstarts. The next time the package gets rebuild for F18 it will include this change.
I don't believe the intention was to completely remove java from the image, but rather to prevent including more than one version of java.
Comment 2 Kevin Fenzi 2013-01-16 14:38:36 EST
This was fixed a while back

Note You need to log in before you can comment on or make changes to this bug.